> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List tenant organizations

GET https://api.sigmacomputing.com/v2/tenants

Retrieve a paginated list of tenant organizations with optional filtering and sorting.

### Usage notes
- To perform this operation, you must use API credentials owned by a user assigned the Admin account type.
- Use **pageToken** and **pageSize** parameters to manage paginated responses.
- Use **search** to filter results by organization slug or ID of the user who created the tenant.
- Use **key** and **order** to sort results by creation date, ID of the user who created the tenant, name, or URL.

Reference: https://help.sigmacomputing.com/reference/list-tenants

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sigmacomputing.com` (Server for GCP (US) hosted organizations, default)
- `https://api.sa.gcp.sigmacomputing.com` (Server for GCP (KSA) hosted organizations)
- `https://aws-api.sigmacomputing.com` (Server for AWS US (West) hosted organizations)
- `https://api.us-a.aws.sigmacomputing.com` (Server for AWS US (East) hosted organizations)
- `https://api.ca.aws.sigmacomputing.com` (Server for AWS Canada hosted organizations)
- `https://api.eu.aws.sigmacomputing.com` (Server for AWS Europe hosted organizations)
- `https://api.au.aws.sigmacomputing.com` (Server for AWS Australia and APAC hosted organizations)
- `https://api.uk.aws.sigmacomputing.com` (Server for AWS UK hosted organizations)
- `https://api.us.azure.sigmacomputing.com` (Server for Azure US hosted organizations)
- `https://api.eu.azure.sigmacomputing.com` (Server for Azure Europe hosted organizations)
- `https://api.ca.azure.sigmacomputing.com` (Server for Azure Canada hosted organizations)
- `https://api.uk.azure.sigmacomputing.com` (Server for Azure United Kingdom hosted organizations)
- `https://api.au.azure.sigmacomputing.com` (Server for Azure Australia hosted organizations)

## Request

### Query parameters

- `pageToken` (string, optional)
- `pageSize` (integer, optional)
- `key` (enum, optional) — Field to sort the results by
  - Allowed values: `createdAt`, `createdBy`, `name`, `url`
- `order` (enum, optional) — Sort order for the results
  - Allowed values: `asc`, `desc`
- `search` (string, optional)

## Response

### 200

The response body.

- `entries` (list of object, required) — Array of results returned by the endpoint
  - `tenantOrganizationId` (string, required) — Unique identifier of the tenant organization
  - `parentOrganizationId` (string, required) — Unique identifier of the tenant's parent organization
  - `createdBy` (string, required) — Unique identifier of the user who created the tenant organization
  - `updatedBy` (string, required) — Unique identifier of the user who last updated the tenant organization
  - `createdAt` (datetime, required) — Timestamp when the tenant organization was created. Format: ISO 8601 timestamp
  - `updatedAt` (datetime, required) — Timestamp when the tenant organization was last updated. Format: ISO 8601 timestamp
  - `tenantOrganizationName` (string, required) — Name of the tenant organization to create
  - `tenantOrganizationSlug` (string, required) — URL identifier for the tenant organization
  - `sharedAt` (datetime, optional) — Timestamp when the tenant organization was shared, if applicable. Format: ISO 8601 timestamp
  - `tenantCloudProvider` (string, optional) — Cloud provider the tenant organization is hosted on
  - `tenantRegion` (string, optional) — Region the tenant organization is hosted in
  - `tenantApiUrl` (string, optional) — Base URL for accessing the tenant organization API
- `nextPageToken` (string, optional) — A string that can be passed to the `pageToken` parameter in the next request to fetch the next page of results. Not present in the last page of results. **Must be treated as an opaque string.**

## Examples

**Response**

```json
{
  "entries": [
    {
      "tenantOrganizationId": "string",
      "parentOrganizationId": "string",
      "createdBy": "string",
      "updatedBy": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z",
      "tenantOrganizationName": "string",
      "tenantOrganizationSlug": "string",
      "sharedAt": "2024-01-15T09:30:00Z",
      "tenantCloudProvider": "string",
      "tenantRegion": "string",
      "tenantApiUrl": "string"
    }
  ],
  "nextPageToken": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/tenants"

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/tenants';
const options = {method: 'GET', headers: {Authorization: '<token>.'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/tenants"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/tenants")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/tenants")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/tenants', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/tenants");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/tenants")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```